Orchestrator - Bug #45724

check-host should not fail using fqdn or not that hard
05/27/2020 09:26 AM - Stephan Mller

Status: Resolved
Priority: High
Assignee: Adam King
Category: cephadm
Target version: vi5.2.4

% Done: 0%

Source: Affected Versions:

Tags: low-hanging-fruit ceph-qa-suite:

Backport: Pull request ID: 35862
Regression: No Crash signature (v1):
Severity: 3 - minor Crash signature (v2):
Reviewed:

Description

| would suggest either identify that it's an FQDN or answer "Host not found. Use 'ceph orch host Is' to see all managed hosts.

# ceph cephadm check-host node3.ses7.com
Error EINVAL: Traceback (most recent call last):

File "/usr/share/ceph/mgr/mgr_module.py", line 1153, in _handle_command

return self.handle_command (inbuf, cmd)
File "/usr/share/ceph/mgr/orchestrator/_interface.py", line
return dispatchl[cmd['prefix']].call(self, cmd, inbuf)

File "/usr/share/ceph/mgr/mgr_module.py"”", line 308, in call
return self.func(mgr, **kwargs)

File "/usr/share/ceph/mgr/orchestrator/_interface.py", line
wrapper_copy = lambda *1_args, **1_kwargs: wrapper (*1l_args,
File "/usr/share/ceph/mgr/orchestrator/_interface.py", line
return func(*args, **kwargs)

File "/usr/share/ceph/mgr/cephadm/module.py", line 1482, in
error_ok=True, no_fsid=True)

File "/usr/share/ceph/mgr/cephadm/module.py",
conn, connr = self._get_connection (addr)

File "/usr/share/ceph/mgr/cephadm/module.py",

line 1569, in

line 1521, in
n = self.ssh_user + '@' + host
TypeError: must be str, not NoneType

110, in handle_command

72, in <lambda>
**1_kwargs)
63, 1in wrapper
check_host

_run_cephadm

_get_connection

History

#1 - 06/08/2020 01:16 PM - Sebastian Wagner
- Priority changed from Normal to High

- Tags set to low-hanging-fruit

#2 - 06/25/2020 02:35 PM - Sebastian Wagner

- Assignee set to Adam King
#3 - 07/08/2020 08:11 PM - Adam King
- Status changed from New to Fix Under Review

- Pull request ID set to 35862

#4 - 07/16/2020 05:05 PM - Adam King

- Status changed from Fix Under Review to Resolved
#5 - 07/31/2020 01:01 PM - Sebastian Wagner
- Target version changed from v15.2.2 to v15.2.4
